# Changelog

# LMDBAL 0.6.0 (UNRELEASED)
### Improvements
- Less dereferencing
- Transactions are now closed with the database
- Cursors are now closed if the public transaction that opened them got closed

### Bug fixes
- SIGSEGV on closing database with opened transactions

# LMDBAL 0.5.4 (November 30, 2024)
### Improvements
- Technical release just to resolve build issues
- Now different flavours of the package can coexist in the system

# LMDBAL 0.5.3 (November 14, 2023)
### Improvements
- Now you don't need to link agains lmdb, just linking against LMDBAL is enough

### Bug fixes
- transaction error in LMDBAL::Cache::readAll

## LMDBAL 0.5.2 (November 01, 2023)
### Improvements
- RAII cursors
- operation set for cursors

### Bug fixes
- error beginning transaction is now correctly handled and doesn't segfault

## LMDBAL 0.5.1 (October 21, 2023)
### Improvements
- RAII transactions
- reduced overhead for private transaction functions

### Bug fixes
- bug fix with cache fallthough

## LMDBAL 0.5.0 (October 15, 2023)
### New Features
- duplicates support (only for table)

### Improvements
- some more documentation
- more tests

## LMDBAL 0.4.0 (August 13, 2023)
### New Features
- read only cursors

### Bug fixes
- possible cache unsync
- doxygen-awesome build bix

### Improvements
- some more documentation
- more tests

## LMDBAL 0.3.1 (April 14, 2023)
### Bug fixes
- build with qt5 now is possible again

### Improvements
- exception documentation


## LMDBAL 0.3.0 (April 12, 2023)
### New features
- transaction functions

### Improvements
- initial documentation
- cache unit testing
- transactions unit testing
- serialization unit testing
